Subject: bug#25113: 25.1.90; Stale menu items after switching to a different major mode (or visiting a buffer)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Dec 2016 22:58:41 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Mon, 5 Dec 2016 22:26:40 +0200
> 
> On 05.12.2016 18:27, Eli Zaretskii wrote:
> 
> > Yes, I think so: that function is implemented in C.  Set a breakpoint
> > in Fx_menu_bar_open_internal.
> 
> I've done that now, and this breakpoint hasn't been hit once during my 
> interactions with the menu, before and after switching to ruby-mode, or 
> toggling menu-bar-mode off and on afterwards.

Sorry, I guess I've misunderstood how this stuff works with GTK menus.